%define piname	polar_pi

Name:		opencpn-polar-plugin
Summary:	Polar diagram generation plugin for OpenCpn
Version:	1.1.008
Release:	%mkrel 3
License:	GPLv2
Group:		Geography
URL:		https://github.com/ptulp/%{piname}
# See opencpn srpm SOURCES for obtaining the versioned tarball.
Source0:	%{piname}-%{version}.tar.gz

BuildRequires:	cmake
BuildRequires:	bzip2-devel
BuildRequires:	gettext
BuildRequires:	lib64wxgtku3.1-devel
BuildRequires:	pkgconfig(gl)
BuildRequires:	pkgconfig(glu)
#BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(zlib)
BuildRequires:	pkgconfig(tinyxml)

Requires:	opencpn
Provides:	%{piname} = %{version}

%description
Polar diagram generation plugin for OpenCpn 

%prep
%setup -q -n %{piname}

%build
%cmake \
	-DCMAKE_INSTALL_PREFIX:PATH=%{_prefix} \
	-DCMAKE_BUILD_TYPE=release

%make_build

%install
%make_install -C build

%find_lang opencpn-%{piname}

%ifarch x86_64 aarch64
mkdir -p %{buildroot}%{_libdir}/opencpn
mv %{buildroot}/usr/lib/opencpn/* %{buildroot}%{_libdir}/opencpn/
%endif

%files -f opencpn-%{piname}.lang
%{_libdir}/opencpn/lib%{piname}.so


%changelog
* Sun Oct 06 2019 tex - 1.1.008-3pclos2019
- rebuild against updates

* Thu May 16 2019 tex - 1.1.008-2pclos2019
- rebuild against updates

